### Method

# Devhelp Settings get_selected_fonts

#### Declaration [src]

    void
    dh_settings_get_selected_fonts (
      DhSettings* settings,
      gchar** variable_font,
      gchar** fixed_font
    )

#### Description [src]

If `DhSettings:use-system-fonts` is `TRUE`, returns the system fonts. Otherwise returns the values of the `DhSettings:variable-font` and `DhSettings:fixed-font` properties.

Available since: | 3.30

#### Parameters

`variable_font` | `gchar**`
| Location to store the font name for text with variable width. Free with g_free().
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.
`fixed_font` | `gchar**`
| Location to store the font name for text with fixed width. Free with g_free().
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.